TagConstants (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.TagConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Interface TagConstants

All Known Implementing Classes:
  org.apache.jasper.compiler.Node

public interface TagConstants

Field Summary
`static java.lang.String` | `ATTRIBUTE_ACTION`
`static java.lang.String` | `ATTRIBUTE_DIRECTIVE_ACTION`
`static java.lang.String` | `BODY_ACTION`
`static java.lang.String` | `DECLARATION_ACTION`
`static java.lang.String` | `DIRECTIVE_ACTION`
`static java.lang.String` | `DOBODY_ACTION`
`static java.lang.String` | `ELEMENT_ACTION`
`static java.lang.String` | `EXPRESSION_ACTION`
`static java.lang.String` | `FALLBACK_ACTION`
`static java.lang.String` | `FORWARD_ACTION`
`static java.lang.String` | `GET_PROPERTY_ACTION`
`static java.lang.String` | `INCLUDE_ACTION`
`static java.lang.String` | `INCLUDE_DIRECTIVE_ACTION`
`static java.lang.String` | `INVOKE_ACTION`
`static java.lang.String` | `JSP_ATTRIBUTE_ACTION`
`static java.lang.String` | `JSP_ATTRIBUTE_DIRECTIVE_ACTION`
`static java.lang.String` | `JSP_BODY_ACTION`
`static java.lang.String` | `JSP_DECLARATION_ACTION`
`static java.lang.String` | `JSP_DOBODY_ACTION`
`static java.lang.String` | `JSP_ELEMENT_ACTION`
`static java.lang.String` | `JSP_EXPRESSION_ACTION`
`static java.lang.String` | `JSP_FALLBACK_ACTION`
`static java.lang.String` | `JSP_FORWARD_ACTION`
`static java.lang.String` | `JSP_GET_PROPERTY_ACTION`
`static java.lang.String` | `JSP_INCLUDE_ACTION`
`static java.lang.String` | `JSP_INCLUDE_DIRECTIVE_ACTION`
`static java.lang.String` | `JSP_INVOKE_ACTION`
`static java.lang.String` | `JSP_OUTPUT_ACTION`
`static java.lang.String` | `JSP_PAGE_DIRECTIVE_ACTION`
`static java.lang.String` | `JSP_PARAM_ACTION`
`static java.lang.String` | `JSP_PARAMS_ACTION`
`static java.lang.String` | `JSP_PLUGIN_ACTION`
`static java.lang.String` | `JSP_ROOT_ACTION`
`static java.lang.String` | `JSP_SCRIPTLET_ACTION`
`static java.lang.String` | `JSP_SET_PROPERTY_ACTION`
`static java.lang.String` | `JSP_TAG_DIRECTIVE_ACTION`
`static java.lang.String` | `JSP_TAGLIB_DIRECTIVE_ACTION`
`static java.lang.String` | `JSP_TEXT_ACTION`
`static java.lang.String` | `JSP_TEXT_ACTION_END`
`static java.lang.String` | `JSP_URI`
`static java.lang.String` | `JSP_USE_BEAN_ACTION`
`static java.lang.String` | `JSP_VARIABLE_DIRECTIVE_ACTION`
`static java.lang.String` | `OUTPUT_ACTION`
`static java.lang.String` | `PAGE_DIRECTIVE_ACTION`
`static java.lang.String` | `PARAM_ACTION`
`static java.lang.String` | `PARAMS_ACTION`
`static java.lang.String` | `PLUGIN_ACTION`
`static java.lang.String` | `ROOT_ACTION`
`static java.lang.String` | `SCRIPTLET_ACTION`
`static java.lang.String` | `SET_PROPERTY_ACTION`
`static java.lang.String` | `TAG_DIRECTIVE_ACTION`
`static java.lang.String` | `TAGLIB_DIRECTIVE_ACTION`
`static java.lang.String` | `TEXT_ACTION`
`static java.lang.String` | `URN_JSPTAGDIR`
`static java.lang.String` | `URN_JSPTLD`
`static java.lang.String` | `USE_BEAN_ACTION`
`static java.lang.String` | `VARIABLE_DIRECTIVE_ACTION`

Field Detail

### JSP_URI

    public static final java.lang.String JSP_URI

See Also:
  Constant Field Values

### DIRECTIVE_ACTION

    public static final java.lang.String DIRECTIVE_ACTION

See Also:
  Constant Field Values

### ROOT_ACTION

    public static final java.lang.String ROOT_ACTION

See Also:
  Constant Field Values

### JSP_ROOT_ACTION

    public static final java.lang.String JSP_ROOT_ACTION

See Also:
  Constant Field Values

### PAGE_DIRECTIVE_ACTION

    public static final java.lang.String PAGE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_PAGE_DIRECTIVE_ACTION

    public static final java.lang.String JSP_PAGE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### INCLUDE_DIRECTIVE_ACTION

    public static final java.lang.String INCLUDE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_INCLUDE_DIRECTIVE_ACTION

    public static final java.lang.String JSP_INCLUDE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### DECLARATION_ACTION

    public static final java.lang.String DECLARATION_ACTION

See Also:
  Constant Field Values

### JSP_DECLARATION_ACTION

    public static final java.lang.String JSP_DECLARATION_ACTION

See Also:
  Constant Field Values

### SCRIPTLET_ACTION

    public static final java.lang.String SCRIPTLET_ACTION

See Also:
  Constant Field Values

### JSP_SCRIPTLET_ACTION

    public static final java.lang.String JSP_SCRIPTLET_ACTION

See Also:
  Constant Field Values

### EXPRESSION_ACTION

    public static final java.lang.String EXPRESSION_ACTION

See Also:
  Constant Field Values

### JSP_EXPRESSION_ACTION

    public static final java.lang.String JSP_EXPRESSION_ACTION

See Also:
  Constant Field Values

### USE_BEAN_ACTION

    public static final java.lang.String USE_BEAN_ACTION

See Also:
  Constant Field Values

### JSP_USE_BEAN_ACTION

    public static final java.lang.String JSP_USE_BEAN_ACTION

See Also:
  Constant Field Values

### SET_PROPERTY_ACTION

    public static final java.lang.String SET_PROPERTY_ACTION

See Also:
  Constant Field Values

### JSP_SET_PROPERTY_ACTION

    public static final java.lang.String JSP_SET_PROPERTY_ACTION

See Also:
  Constant Field Values

### GET_PROPERTY_ACTION

    public static final java.lang.String GET_PROPERTY_ACTION

See Also:
  Constant Field Values

### JSP_GET_PROPERTY_ACTION

    public static final java.lang.String JSP_GET_PROPERTY_ACTION

See Also:
  Constant Field Values

### INCLUDE_ACTION

    public static final java.lang.String INCLUDE_ACTION

See Also:
  Constant Field Values

### JSP_INCLUDE_ACTION

    public static final java.lang.String JSP_INCLUDE_ACTION

See Also:
  Constant Field Values

### FORWARD_ACTION

    public static final java.lang.String FORWARD_ACTION

See Also:
  Constant Field Values

### JSP_FORWARD_ACTION

    public static final java.lang.String JSP_FORWARD_ACTION

See Also:
  Constant Field Values

### PARAM_ACTION

    public static final java.lang.String PARAM_ACTION

See Also:
  Constant Field Values

### JSP_PARAM_ACTION

    public static final java.lang.String JSP_PARAM_ACTION

See Also:
  Constant Field Values

### PARAMS_ACTION

    public static final java.lang.String PARAMS_ACTION

See Also:
  Constant Field Values

### JSP_PARAMS_ACTION

    public static final java.lang.String JSP_PARAMS_ACTION

See Also:
  Constant Field Values

### PLUGIN_ACTION

    public static final java.lang.String PLUGIN_ACTION

See Also:
  Constant Field Values

### JSP_PLUGIN_ACTION

    public static final java.lang.String JSP_PLUGIN_ACTION

See Also:
  Constant Field Values

### FALLBACK_ACTION

    public static final java.lang.String FALLBACK_ACTION

See Also:
  Constant Field Values

### JSP_FALLBACK_ACTION

    public static final java.lang.String JSP_FALLBACK_ACTION

See Also:
  Constant Field Values

### TEXT_ACTION

    public static final java.lang.String TEXT_ACTION

See Also:
  Constant Field Values

### JSP_TEXT_ACTION

    public static final java.lang.String JSP_TEXT_ACTION

See Also:
  Constant Field Values

### JSP_TEXT_ACTION_END

    public static final java.lang.String JSP_TEXT_ACTION_END

See Also:
  Constant Field Values

### ATTRIBUTE_ACTION

    public static final java.lang.String ATTRIBUTE_ACTION

See Also:
  Constant Field Values

### JSP_ATTRIBUTE_ACTION

    public static final java.lang.String JSP_ATTRIBUTE_ACTION

See Also:
  Constant Field Values

### BODY_ACTION

    public static final java.lang.String BODY_ACTION

See Also:
  Constant Field Values

### JSP_BODY_ACTION

    public static final java.lang.String JSP_BODY_ACTION

See Also:
  Constant Field Values

### ELEMENT_ACTION

    public static final java.lang.String ELEMENT_ACTION

See Also:
  Constant Field Values

### JSP_ELEMENT_ACTION

    public static final java.lang.String JSP_ELEMENT_ACTION

See Also:
  Constant Field Values

### OUTPUT_ACTION

    public static final java.lang.String OUTPUT_ACTION

See Also:
  Constant Field Values

### JSP_OUTPUT_ACTION

    public static final java.lang.String JSP_OUTPUT_ACTION

See Also:
  Constant Field Values

### TAGLIB_DIRECTIVE_ACTION

    public static final java.lang.String TAGLIB_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_TAGLIB_DIRECTIVE_ACTION

    public static final java.lang.String JSP_TAGLIB_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### INVOKE_ACTION

    public static final java.lang.String INVOKE_ACTION

See Also:
  Constant Field Values

### JSP_INVOKE_ACTION

    public static final java.lang.String JSP_INVOKE_ACTION

See Also:
  Constant Field Values

### DOBODY_ACTION

    public static final java.lang.String DOBODY_ACTION

See Also:
  Constant Field Values

### JSP_DOBODY_ACTION

    public static final java.lang.String JSP_DOBODY_ACTION

See Also:
  Constant Field Values

### TAG_DIRECTIVE_ACTION

    public static final java.lang.String TAG_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_TAG_DIRECTIVE_ACTION

    public static final java.lang.String JSP_TAG_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### ATTRIBUTE_DIRECTIVE_ACTION

    public static final java.lang.String ATTRIBUTE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_ATTRIBUTE_DIRECTIVE_ACTION

    public static final java.lang.String JSP_ATTRIBUTE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### VARIABLE_DIRECTIVE_ACTION

    public static final java.lang.String VARIABLE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### JSP_VARIABLE_DIRECTIVE_ACTION

    public static final java.lang.String JSP_VARIABLE_DIRECTIVE_ACTION

See Also:
  Constant Field Values

### URN_JSPTAGDIR

    public static final java.lang.String URN_JSPTAGDIR

See Also:
  Constant Field Values

### URN_JSPTLD

    public static final java.lang.String URN_JSPTLD

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.